import styled from "styled-components"

export const Preloader = styled.div`
    position: relative;
    width: 30px;
    height: 30px;
    margin: 0 auto;
    border: 4px solid #c4c4d6;
    border-radius: 50%;
    border-top: 4px solid ${(props) => props.theme.colors.main["300"]};
    width: 40px;
    height: 40px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 1s linear infinite;

    @-webkit-keyframes spin {
        0% {
            -webkit-transform: rotate(0deg);
        }
        100% {
            -webkit-transform: rotate(360deg);
        }
    }

    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg);
        }
    }
`
